Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009268 [DCSS] Patches tweak N/A 2014-11-27 19:57 2014-11-29 04:23
Reporter ebering View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009268: Xom "Piety" Meter, reflect Xom moods in asterisks
Description Summary says it all;

On the technical side this patch refactors how asterisks and god string colour are figured out so that in the future if more god-status colors are wanted it will be easy to add in output.cc
Additional Information
Tags No tags attached.
Attached Files ? file icon xompiety.patch [^] (15,292 bytes) 2014-11-27 19:57 [Show Content]
? file icon xompiety-2.patch [^] (16,290 bytes) 2014-11-28 02:27 [Show Content]

- Relationships

-  Notes
(0027916)
geekosaur (reporter)
2014-11-27 20:54

How can an (int) have a value > INT_MAX?
(0027917)
ebering (developer)
2014-11-27 21:09

It can't, but clang isn't smart enough to recognize that as the only case not handled in the loop and warns about control running off the end of a non-void function.
(0027919)
ebering (developer)
2014-11-28 02:26

New version of the patch to handle that case in a less dumb way. Suggested by PleasingFungus.
(0027920)
PleasingFungus (administrator)
2014-11-28 05:52

Pushed (with a few tweaks), thanks!

- Issue History
Date Modified Username Field Change
2014-11-27 19:57 ebering New Issue
2014-11-27 19:57 ebering File Added: xompiety.patch
2014-11-27 20:54 geekosaur Note Added: 0027916
2014-11-27 21:09 ebering Note Added: 0027917
2014-11-28 02:26 ebering Note Added: 0027919
2014-11-28 02:27 ebering File Added: xompiety-2.patch
2014-11-28 05:52 PleasingFungus Note Added: 0027920
2014-11-28 05:52 PleasingFungus Status new => resolved
2014-11-28 05:52 PleasingFungus Fixed in Branch => 0.16 development branch
2014-11-28 05:52 PleasingFungus Resolution open => done
2014-11-28 05:52 PleasingFungus Assigned To => PleasingFungus
2014-11-29 04:23 ebering Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker